Name:           driftnet
Version:        1.6.0
Release:        %mkrel 1
Group:          Security
Summary:        picks out and displays images from network traffic
License:        BSD
URL:            https://github.com/deiv/driftnet
Source0:        https://github.com/deiv/driftnet/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         driftnet-default_cflags.patch
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  pkgconfig(libwebsockets)
BuildRequires:  giflib-devel

%description
Driftnet watches network traffic, and picks out and displays JPEG and GIF
images for display. It is a horrific invasion of privacy and shouldn't be used
by anyone anywhere. It can also extract MPEG audio data from the network and
play it. If you live in a house with thick walls, this may be a useful way to
find out about your neighbours' musical taste.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc Changelog CREDITS README.md TODO
%doc %{_docdir}/driftnet/index.html
%license COPYING
%{_bindir}/driftnet
%{_mandir}/man1/driftnet.1*


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 1.6.0-1.mga10
+ Revision: 2257219
- new version: 1.6.0

* Sun Jun 29 2025 umeabot <umeabot> 1.5.0-3.mga10
+ Revision: 2223153
- Mageia 10 Mass Rebuild

* Wed May 22 2024 daviddavid <daviddavid> 1.5.0-2.mga10
+ Revision: 2065892
- fix build using our default cflags

* Wed Nov 01 2023 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2003321
- new version: 1.5.0
- switch to GTK3

* Sun Oct 09 2022 guillomovitch <guillomovitch> 1.4.0-1.mga9
+ Revision: 1895829
- new version 1.4.0

* Tue Mar 29 2022 umeabot <umeabot> 1.3.0-3.mga9
+ Revision: 1831192
- Mageia 9 Mass Rebuild

* Tue Apr 20 2021 daviddavid <daviddavid> 1.3.0-2.mga9
+ Revision: 1717579
- rebuild for new libwebsockets 4.2.0

* Thu Oct 01 2020 guillomovitch <guillomovitch> 1.3.0-1.mga8
+ Revision: 1631488
- new version 1.3.0

* Thu Feb 13 2020 umeabot <umeabot> 1.1.5-3.mga8
+ Revision: 1511920
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.5-2.mga7
+ Revision: 1297508
- Mageia 7 Mass Rebuild

* Mon Jan 16 2017 guillomovitch <guillomovitch> 1.1.5-1.mga6
+ Revision: 1081995
- imported package driftnet

